<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('partner_commissions', function (Blueprint $table) {
            $table->string('type')->default(0)->comment('收益类型 0:服务收益 1:介绍人收益 2:其他')->after('withdrawal_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('partner_commissions', function (Blueprint $table) {
            $table->dropColumn('type');
        });
    }
};
